// JavaScript Document
var docData = [];
var docPastData = [];
var docFavoriteData = [];
var largeSummary = false;
var largeFavorite = false;
var largeContact = false;

var palettePatern = ['black','red','blue','green','purple'];

$(document).ready(function(){
	ajaxLoadingCreate();
	
	window.name = "W950";
	
	$('.hrefFile').on(
		'click',
		function(){
			var fileType = $(this).attr('data-fileType');
			var fileNo = $(this).attr('data-fileNo');
			
			window.open("","ファイル",'toolbar=0,directories=0,status=1,resizable=1,scrollbars=1,menubar=0,left=100,top=60,width=800,height=500');
			$('#windowForm').attr('target','ファイル');
			$('#Wprgname').val('W951');
			$('#w_param1').val('ANAIS3WEB');
			$('#w_param2').val($('#ssid').val());
			$('#w_param3').val(fileType);
			$('#w_param4').val(fileNo);
			$('#w_param5').val('');
			$('#w_param6').val('');
			$('#w_param7').val('');
			$('#w_param8').val('');
			$('#w_param9').val('');
			$('#w_param10').val('');
			$('#windowForm').submit();
			$('#windowForm').attr('target','_self');
		}
	);

	$('.joinFile').on(
		'click',
		function(){
			var joinType = $(this).attr('data-joinType');
			var joinDate = $(this).attr('data-joinDate');
			
			window.open("","ファイル",'toolbar=0,directories=0,status=1,resizable=1,scrollbars=1,menubar=0,left=100,top=60,width=800,height=500');
			$('#windowForm').attr('target','ファイル');
			$('#Wprgname').val('W961');
			$('#w_param1').val('ANAIS3WEB');
			$('#w_param2').val($('#ssid').val());
			$('#w_param3').val(joinType);
			$('#w_param4').val(joinDate);
			$('#w_param5').val('');
			$('#w_param6').val('');
			$('#w_param7').val('');
			$('#w_param8').val('');
			$('#w_param9').val('');
			$('#w_param10').val('');
			$('#windowForm').submit();
			$('#windowForm').attr('target','_self');
		}
	);

	ajaxLoadingDelete();
});